path: /build/build/attrs-dev-python-24.3.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge dev-python/attrs -pv -t && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge -j ${JOBS} --nodeps dev-python/attrs
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/attrs && luet-portage --dir /pkgdir/attrs
    dev-python/attrs && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree:141328a2fe7ad73e9f3cecc52040dd482ddb2e5dc85f88434b595d420d272b1b
  package:
    name: attrs
    version: 24.3.0
    category: dev-python
    use_flags:
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - python_targets_python3_9
    requires:
    - name: hatch-vcs
      version: '>=0'
      category: dev-python
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Classes Without Boilerplate
    uri:
    - https://pypi.org/project/attrs/
    license: MIT
    buildtimestamp: 2025-01-06 03:10:23.4475824 +0000 UTC m=+443.435026946
    labels:
      BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/gpep517-6[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/hatchling-1.3.1[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      DEPEND: dev-python/hatch-vcs[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        dev-python/hatch-fancy-pypi-readme[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      IUSE: python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
        python_targets_python3_8
      RDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      emerge.packages: dev-python/attrs
      kit: python-modules-kit
      original.package.name: dev-python/attrs
      original.package.slot: "0"
      original.package.version: 24.3.0
    treedir: /build/packages
  package_dir: /pkgdir/attrs
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: ea2cf22f94f2bb89de6d998a4f33b0e6c3e1d07f8840adb4e78ee7c385ff3f19
compressiontype: zstd
files:
- usr/lib/python3.9/site-packages/attr/__init__.py
- usr/lib/python3.9/site-packages/attr/__init__.pyi
- usr/lib/python3.9/site-packages/attr/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/attr/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/attr/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/attr/__pycache__/_cmp.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/attr/__pycache__/_cmp.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/attr/__pycache__/_cmp.cpython-39.pyc
- usr/lib/python3.9/site-packages/attr/__pycache__/_compat.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/attr/__pycache__/_compat.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/attr/__pycache__/_compat.cpython-39.pyc
- usr/lib/python3.9/site-packages/attr/__pycache__/_config.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/attr/__pycache__/_config.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/attr/__pycache__/_config.cpython-39.pyc
- usr/lib/python3.9/site-packages/attr/__pycache__/_funcs.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/attr/__pycache__/_funcs.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/attr/__pycache__/_funcs.cpython-39.pyc
- usr/lib/python3.9/site-packages/attr/__pycache__/_make.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/attr/__pycache__/_make.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/attr/__pycache__/_make.cpython-39.pyc
- usr/lib/python3.9/site-packages/attr/__pycache__/_next_gen.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/attr/__pycache__/_next_gen.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/attr/__pycache__/_next_gen.cpython-39.pyc
- usr/lib/python3.9/site-packages/attr/__pycache__/_version_info.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/attr/__pycache__/_version_info.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/attr/__pycache__/_version_info.cpython-39.pyc
- usr/lib/python3.9/site-packages/attr/__pycache__/converters.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/attr/__pycache__/converters.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/attr/__pycache__/converters.cpython-39.pyc
- usr/lib/python3.9/site-packages/attr/__pycache__/exceptions.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/attr/__pycache__/exceptions.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/attr/__pycache__/exceptions.cpython-39.pyc
- usr/lib/python3.9/site-packages/attr/__pycache__/filters.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/attr/__pycache__/filters.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/attr/__pycache__/filters.cpython-39.pyc
- usr/lib/python3.9/site-packages/attr/__pycache__/setters.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/attr/__pycache__/setters.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/attr/__pycache__/setters.cpython-39.pyc
- usr/lib/python3.9/site-packages/attr/__pycache__/validators.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/attr/__pycache__/validators.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/attr/__pycache__/validators.cpython-39.pyc
- usr/lib/python3.9/site-packages/attr/_cmp.py
- usr/lib/python3.9/site-packages/attr/_cmp.pyi
- usr/lib/python3.9/site-packages/attr/_compat.py
- usr/lib/python3.9/site-packages/attr/_config.py
- usr/lib/python3.9/site-packages/attr/_funcs.py
- usr/lib/python3.9/site-packages/attr/_make.py
- usr/lib/python3.9/site-packages/attr/_next_gen.py
- usr/lib/python3.9/site-packages/attr/_typing_compat.pyi
- usr/lib/python3.9/site-packages/attr/_version_info.py
- usr/lib/python3.9/site-packages/attr/_version_info.pyi
- usr/lib/python3.9/site-packages/attr/converters.py
- usr/lib/python3.9/site-packages/attr/converters.pyi
- usr/lib/python3.9/site-packages/attr/exceptions.py
- usr/lib/python3.9/site-packages/attr/exceptions.pyi
- usr/lib/python3.9/site-packages/attr/filters.py
- usr/lib/python3.9/site-packages/attr/filters.pyi
- usr/lib/python3.9/site-packages/attr/py.typed
- usr/lib/python3.9/site-packages/attr/setters.py
- usr/lib/python3.9/site-packages/attr/setters.pyi
- usr/lib/python3.9/site-packages/attr/validators.py
- usr/lib/python3.9/site-packages/attr/validators.pyi
- usr/lib/python3.9/site-packages/attrs/__init__.py
- usr/lib/python3.9/site-packages/attrs/__init__.pyi
- usr/lib/python3.9/site-packages/attrs/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/attrs/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/attrs/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/attrs/__pycache__/converters.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/attrs/__pycache__/converters.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/attrs/__pycache__/converters.cpython-39.pyc
- usr/lib/python3.9/site-packages/attrs/__pycache__/exceptions.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/attrs/__pycache__/exceptions.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/attrs/__pycache__/exceptions.cpython-39.pyc
- usr/lib/python3.9/site-packages/attrs/__pycache__/filters.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/attrs/__pycache__/filters.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/attrs/__pycache__/filters.cpython-39.pyc
- usr/lib/python3.9/site-packages/attrs/__pycache__/setters.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/attrs/__pycache__/setters.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/attrs/__pycache__/setters.cpython-39.pyc
- usr/lib/python3.9/site-packages/attrs/__pycache__/validators.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/attrs/__pycache__/validators.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/attrs/__pycache__/validators.cpython-39.pyc
- usr/lib/python3.9/site-packages/attrs/converters.py
- usr/lib/python3.9/site-packages/attrs/exceptions.py
- usr/lib/python3.9/site-packages/attrs/filters.py
- usr/lib/python3.9/site-packages/attrs/py.typed
- usr/lib/python3.9/site-packages/attrs/setters.py
- usr/lib/python3.9/site-packages/attrs/validators.py
- usr/lib/python3.9/site-packages/attrs-24.3.0.dist-info/METADATA
- usr/lib/python3.9/site-packages/attrs-24.3.0.dist-info/RECORD
- usr/lib/python3.9/site-packages/attrs-24.3.0.dist-info/WHEEL
- usr/lib/python3.9/site-packages/attrs-24.3.0.dist-info/licenses/LICENSE
- usr/share/doc/attrs-24.3.0/README.md.bz2
- var/db/pkg/dev-python/attrs-24.3.0/BDEPEND
- var/db/pkg/dev-python/attrs-24.3.0/BUILD_TIME
- var/db/pkg/dev-python/attrs-24.3.0/CATEGORY
- var/db/pkg/dev-python/attrs-24.3.0/CBUILD
- var/db/pkg/dev-python/attrs-24.3.0/CFLAGS
- var/db/pkg/dev-python/attrs-24.3.0/CHOST
- var/db/pkg/dev-python/attrs-24.3.0/CONTENTS
- var/db/pkg/dev-python/attrs-24.3.0/COUNTER
- var/db/pkg/dev-python/attrs-24.3.0/CTARGET
- var/db/pkg/dev-python/attrs-24.3.0/CXX
- var/db/pkg/dev-python/attrs-24.3.0/CXXFLAGS
- var/db/pkg/dev-python/attrs-24.3.0/DEFINED_PHASES
- var/db/pkg/dev-python/attrs-24.3.0/DEPEND
- var/db/pkg/dev-python/attrs-24.3.0/DESCRIPTION
- var/db/pkg/dev-python/attrs-24.3.0/EAPI
- var/db/pkg/dev-python/attrs-24.3.0/FEATURES
- var/db/pkg/dev-python/attrs-24.3.0/HOMEPAGE
- var/db/pkg/dev-python/attrs-24.3.0/INHERITED
- var/db/pkg/dev-python/attrs-24.3.0/IUSE
- var/db/pkg/dev-python/attrs-24.3.0/IUSE_EFFECTIVE
- var/db/pkg/dev-python/attrs-24.3.0/KEYWORDS
- var/db/pkg/dev-python/attrs-24.3.0/LDFLAGS
- var/db/pkg/dev-python/attrs-24.3.0/LICENSE
- var/db/pkg/dev-python/attrs-24.3.0/PF
- var/db/pkg/dev-python/attrs-24.3.0/RDEPEND
- var/db/pkg/dev-python/attrs-24.3.0/SIZE
- var/db/pkg/dev-python/attrs-24.3.0/SLOT
- var/db/pkg/dev-python/attrs-24.3.0/USE
- var/db/pkg/dev-python/attrs-24.3.0/attrs-24.3.0.ebuild
- var/db/pkg/dev-python/attrs-24.3.0/environment.bz2
- var/db/pkg/dev-python/attrs-24.3.0/repository
package_cacheimage: ""
runtime:
  name: attrs
  version: 24.3.0
  category: dev-python
  use_flags:
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - python_targets_python3_9
  requires:
  - name: python
    version: '>=0'
    category: dev-lang-3.9
  - name: python-exec
    version: '>=0'
    category: dev-lang-2
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Classes Without Boilerplate
  uri:
  - https://pypi.org/project/attrs/
  license: MIT
  labels:
    BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/gpep517-6[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/hatchling-1.3.1[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    DEPEND: dev-python/hatch-vcs[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      dev-python/hatch-fancy-pypi-readme[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    IUSE: python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
      python_targets_python3_8
    RDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    emerge.packages: dev-python/attrs
    kit: python-modules-kit
    original.package.name: dev-python/attrs
    original.package.slot: "0"
    original.package.version: 24.3.0
